# Legion

## Basic Information

- **Name**: Legion
- **Level**: 2
- **Race**: Warforged
- **Alignment**: Neutral Good
- **Background**: Soldier (Infantry)

## Appearance

Legion is a sleek, dexterous Warforged with a frame of rusted bronze and tarnished brass. His form is lean and angular, crafted for swift movements rather than brute strength, with exposed gears and lightweight armor plating worn from years of service. His eyes emit a steady, cool glow, suggesting a calculating mind. Slender yet durable limbs give him mechanical precision, as if each step is deliberate. Faint etchings on his chest hint at a long-forgotten unit designation, barely visible beneath the rust and battle scars.

## Personality Traits

- **Logical Lens**: Legion evaluates situations with a calculated, detached focus.
- **Obedient, by Choice**: Originally designed to follow commands, Legion now chooses who he deems fit to give orders, granting him a unique, autonomous sense of loyalty.

## Ability Scores (Standard Array)

| Ability      | Base | Total | Bonus     |
|--------------|------|-------|-----------------|
| **Strength** | 13   | 14    | +1 (Level 6 increase)|
| **Dexterity**| 15   | 16    | +1 (Level 6 increase)|
| **Constitution** | 10| 10    |                 |
| **Intelligence** | 12| 12    |                 |
| **Wisdom**    | 14   | 15    | +1 (Elven Accuracy) |
| **Charisma**  | 8    | 8     |                 |

### Hit Points

- **Hit Points at 1st Level**: 10 + Constitution modifier (0) = **10**
- **Hit Points at 2nd Level**: 10 + 6 (average of 1d10) + Constitution modifier (0) = **16**
- **Hit Points at 3rd Level**: 16 + 6 (average of 1d10) + Constitution modifier (0) = **22**
- **Hit Points at 4th Level**: 22 + 6 (average of 1d10) + Constitution modifier (0) = **28**
- **Hit Points at 5th Level**: 28 + 6 (average of 1d10) + Constitution modifier (0) = **34**
- **Hit Points at 6th Level**: 34 + 6 (average of 1d10) + Constitution modifier (0) = **40**
- **Total Hit Points**: **40** (10 + 6 + 6 + 6 + 6 + 6)
- **Hit Dice**: 6d10 (1d10 per fighter level)
- **Hit Points at Higher Levels**: 1d10 (or 6) + Constitution modifier (0) per fighter level after 1st

## Features

### Second Wind

At 1st level, Legion has a limited well of stamina that he can draw on to protect himself from harm. On his turn, he can use a bonus action to regain hit points equal to 1d10 + his fighter level (1). Once he uses this feature, he must finish a short or long rest before he can use it again.

## Proficiencies & Skills

- **Proficiencies**:
  - **Skills**: Perception, Intimidation
  - **Armor**: All armor, shields
  - **Weapons**: Simple weapons, martial weapons, firearms (Gunslinger-specific)
  - **Tools**: Tinker’s tools

- **Fighting Style**: Archery - Gain a +2 bonus to attack rolls made with ranged weapons.

---

## Level Progression

### Level 1

- **Fighting Style:** Archery
- **Proficiencies:** Perception, Intimidation

### Level 2

- **Action Surge:** Take one additional action on your turn (usable once per short/long rest).

### Level 3

- **Martial Archetype:** Gunslinger
  - **Firearm Proficiency:** Add proficiency bonus to firearm attacks.
  - **Gunsmith:** Proficient with Tinker’s Tools; craft ammunition at half cost and repair firearms.
  - **Firearm Properties:**
    - **Reload:** Fire a number of times equal to the Reload score before needing to reload.
    - **Misfire:** If attack roll is ≤ Misfire score, the weapon misfires until repaired.
  - **Ammunition:** Requires specific ammo; can be crafted at half cost.

  - **Adept Marksman:** Choose four trick shots:
    - **Deadeye Shot:** Gain advantage on the attack roll.
    - **Forceful Shot:** Trip target on a hit.
    - **Violent Shot:** Increase volatility and damage based on grit points spent.
    - **Winging Shot:** Knock target prone on a hit.

### Level 4

- **Ability Score Improvement:** Increase one ability score by 2 or two scores by 1 (max 20).
- **Chosen Feat:** **Elven Accuracy**
  - Increase Dexterity, Intelligence, Wisdom, or Charisma by 1 (max 20).
  - Reroll one die when you have advantage on an attack roll.
  - **Chosen Increase**: Wisdom +1

### Level 5

- **Extra Attack:** Attack twice when taking the Attack action on your turn.

### Level 6

- **Ability Score Improvement:** Increase one ability score by 2 or two scores by 1 (max 20).
  - **Chosen Increase**: Strength +1
  - **Chosen Increase**: Dexterity +1
